


package com.vektorsoft.demux.samples.custom;

import com.vektorsoft.demux.desktop.jfx.main.svc.JFXWindowService;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.util.tracker.ServiceTracker;

/**
 *
 * @author Vladimir Djurovic
 */
public class SampleActivator implements BundleActivator {
    
    private ServiceTracker tracker;
     private ServiceTracker windowTracker;

    @Override
    public void start(BundleContext bc) throws Exception {
         tracker = new ServiceTracker(bc, DMXAdapter.class, new SampleCustomizer(bc));
         tracker.open();
         
          windowTracker = new ServiceTracker(bc, JFXWindowService.class, new WindowServiceTracker(bc));
         windowTracker.open();
    }

    @Override
    public void stop(BundleContext bc) throws Exception {
        tracker.close();
        windowTracker.close();
    }

}
