/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.android.gui;

import com.vektorsoft.demux.core.mva.DMXAdapter;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.osgi.util.tracker.ServiceTrackerCustomizer;

/**
 *
 * @author Vladimir Djurovic
 */
public class SampleCustomizer implements ServiceTrackerCustomizer<DMXAdapter, DMXAdapter> {
    
    private BundleContext context;
    
    public SampleCustomizer(BundleContext ctx){
        this.context = ctx;
    }

    @Override
    public DMXAdapter addingService(ServiceReference<DMXAdapter> sr) {
        DMXAdapter svc = (DMXAdapter)context.getService(sr);
        
        // register views and controllers here
        svc.registerView(LayoutView.class);
        svc.registerController(new SimpleController());
        svc.registerEventHandler(new SimpleEventHandler(svc));
       return svc;
    }

    @Override
    public void modifiedService(ServiceReference<DMXAdapter> sr, DMXAdapter t) {
        
    }

    @Override
    public void removedService(ServiceReference<DMXAdapter> sr, DMXAdapter t) {

    }

}
