/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.hello.jfx;

import com.vektorsoft.demux.core.mva.DMXAdapter;
import javafx.event.ActionEvent;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.osgi.util.tracker.ServiceTrackerCustomizer;

/**
 *
 * @author Vladimir Djurovic
 */
public class HelloCustomizer implements ServiceTrackerCustomizer<DMXAdapter, DMXAdapter> {
    
    private BundleContext context;
    
    public HelloCustomizer(BundleContext ctx){
        this.context = ctx;
    }

    @Override
    public DMXAdapter addingService(ServiceReference<DMXAdapter> sr) {
        DMXAdapter svc = (DMXAdapter)context.getService(sr);
        
        
        HelloView view = new HelloView(svc);
        svc.registerView(view);
        svc.registerEventHandler(new ClickHandler(svc, ActionEvent.ACTION));
       return svc;
    }

    @Override
    public void modifiedService(ServiceReference<DMXAdapter> sr, DMXAdapter t) {
        
    }

    @Override
    public void removedService(ServiceReference<DMXAdapter> sr, DMXAdapter t) {

    }

}
